## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCRoutineLoader.ProcedureFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory

All Implemented Interfaces:
  JDBCRoutineLoader.IRoutineFactory

Direct Known Subclasses:
  JDBCRoutineLoader.UserDefinedFunctionFactory

Enclosing class:
  JDBCRoutineLoader

public static class JDBCRoutineLoader.ProcedureFactory
extends java.lang.Object
implements JDBCRoutineLoader.IRoutineFactory

Base factory implementation for SP.

Constructor Summary
`JDBCRoutineLoader.ProcedureFactory()`

Method Summary
`Routine` `createRoutine(java.sql.ResultSet rs)` Creates and initializes a new Procedure object from the meta-data in the result set.
`EClass` `getRoutineEClass()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCRoutineLoader.ProcedureFactory

    public JDBCRoutineLoader.ProcedureFactory()

Method Detail

### getRoutineEClass

    public EClass getRoutineEClass()

  Specified by:
    `getRoutineEClass` in interface `JDBCRoutineLoader.IRoutineFactory`
  Returns:
    SQLRoutinesPackage.eINSTANCE.getProcedure()
  See Also:
    `JDBCRoutineLoader.IRoutineFactory.getRoutineEClass()`

### createRoutine

    public Routine createRoutine(java.sql.ResultSet rs)
                          throws java.sql.SQLException

  Creates and initializes a new Procedure object from the meta-data in the result set.

  Specified by:
    `createRoutine` in interface `JDBCRoutineLoader.IRoutineFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Routine object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCRoutineLoader.IRoutineFactory.createRoutine(java.sql.ResultSet)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.